Name: 915resolution
Version: 0.5.2
Release: alt1

Summary: resolution modification tool for Intel GMA graphic chipset
License: Public Domain
Group: System/Kernel and hardware
URL: http://www.geocities.com/stomljen/

Source0: %name-%version.tar.gz
Source1: %name.sysconfig
Source2: %name.8
Source3: %name.init.alt.in
Source4: README.ALT

# Debian patches
Patch: 915resolution-deb-add-chipsets.patch

Requires: vbetool

%description
915resolution is a tool to modify the video BIOS of the 800 and 900 series
Intel graphics chipsets. This includes the 845G, 855G, and 865G chipsets, as
well as 915G, 915GM, and 945G chipsets. This modification is necessary to allow
the display of certain graphics resolutions for an Xorg or XFree86 graphics
server.

915resolution's modifications of the BIOS are transient. There is no risk of
permanent modification of the BIOS. This also means that 915resolution must be
run every time the computer boots in order for its changes to take effect. If
you want to automatically set the resolution on each boot and before X is
launched, see README.ALT for information about
configuring the provided initscript. 

%prep
%setup -q -n %name-%version
%patch -p1
cp -a %SOURCE4 .

%build
%make_build

%install
%__install -m755 -D %name %buildroot/%_sbindir/%name
%__install -m644 -D %SOURCE1 %buildroot%_sysconfdir/sysconfig/%name
%__install -m644 -D %SOURCE2 %buildroot%_man8dir/%name.8
%__install -m755 -D %SOURCE3 %buildroot%_initdir/%name
%__subst 's,@version@,%version,g' %SOURCE3 %buildroot%_initdir/%name

%files
%_sbindir/%name
%_initdir/%name
%config(noreplace) %_sysconfdir/sysconfig/%name
%_man8dir/*
%doc LICENSE.txt README.* changes.log

%changelog
* Tue Dec 26 2006 L.A. Kostis <lakostis@altlinux.ru> 0.5.2-alt1
- initial build for Sisyphus.

